      SUBROUTINE CKMGEOM
C    
C        $Id: ckmgeom.F,v 1.36 2001/03/10 02:47:31 ramberg Exp $
C        $Author: ramberg $
C
C      Original Author:  Erik Ramberg,  April 1998
C
C  Define user geometry set up
C
      Implicit none

#include "gttmed.inc"
#include "gctmed.inc"
#include "gtphys.inc"
#include "gcphys.inc"
#include "gtkine.inc"
#include "gckine.inc"
#include "gconsp.inc"

C  the following two includes are needed for igauto
#include "gttrak.inc"
#include "gctrak.inc"

#include "ckm_media.inc"
#include "ckm_units.inc"
#include "ckm_dim.inc"
#include "ckm_pos.inc"
#include "richgeom.inc"


      REAL UBUF
      Real PAR( 8)
      Real APOL(2),ZPOL(2),WPOL(2)
      DATA APOL,ZPOL,WPOL/12.01,1.01,6.,1.,1.,2./
      Real AGLS(2),ZGLS(2),WGLS(2)
      DATA AGLS,ZGLS,WGLS/28.09,16.00,14.,8.,1.,2./
      Real ACF4(2),ZCF4(2),WCF4(2)
      DATA ACF4,ZCF4,WCF4/12.01,18.998,6.,9.,1.,4./
C-----Mylar for VVS windows- C.M.-January-15-2000
      Real  AMYL(3),ZMYL(3),WMYL(3)
      DATA AMYL,ZMYL,WMYL/12.01,1.01,16.0,6.0,1.0,8.0,5.0,4.0,2.0/
C-----MATERIAL constants for DMS

      real  ! kapton is C22-H10-N2-O4
     +  A_KAPTON(4) / 12.01,  1.01, 16.00, 14.00 /
     + ,Z_KAPTON(4) /  6.0,   1.0,   8.0,   7.0  /
     + ,W_KAPTON(4) / 22.0,   10.0,  4.0,   2.0  /
     + ,D_KAPTON  / 1.42 /    ! g/cm^3

      real 
     +  A_ethane(2) / 12,1  /  ! ethane is C2H6
     + ,Z_ethane(2) /  6,1  /
     + ,W_ethane(2) /  2,6  /
     + ,D_ethane  /1.356e-3 /   !  grams/cm^3

      real   
     +  A_dmscf4(2) / 12,19 /   ! cf4
     + ,Z_dmscf4(2) /  6,9  /
     + ,W_dmscf4(2) /  1,4  /
     + ,D_dmscf4  /3.928e-3 /   !  grams/cm^3

C-----GAS MATERIAL constants for UMS

      real 
     +  A_butcf4(3) / 12,19,1  /     ! CF4-C4H10
     + ,Z_butcf4(3) /  6,1,1   /
     + ,W_butcf4(3) /  5,4,10  /
     + ,D_butcf4    /3.295e-3  /     ! (3.928e-3+2.67e-3)/2

C-----WIRE MATERIAL constants for UMS  ! material W

      real 
     +  A_umswire(1) / 183.84 /      ! atomic weight
     + ,Z_umswire(1) / 74 /          ! atomic number 
     + ,W_umswire(1) / 1 /     
     + ,D_umswire    / 19.3 /        ! density grams/cm^3 

C-----He bag MATERIAL constants for UMS  ! He bags

      real 
     +  A_helium(1) / 4.002602 /     ! He atomic weight
     + ,Z_helium(1) / 2 /            ! He atomic number
     + ,W_helium(1) / 1 /
     + ,D_helium    / 0.1659e-3/     ! He density grams/cm^3 
     + ,R_helium    / 5.684e+5 /     ! He radiation lenght [cm]

C-----Polyethylene MATERIAL constants for UMS  ! He bags
c
c      real  ! Polyethylene => CH2=CH2
c     +  A_polyethylene(2) / 12,1 /   ! CH2=CH2
c     + ,Z_polyethylene(2) / 6,1 /    ! atomic number
c     + ,W_polyethylene(2) / 2,4 /    
c     + ,D_polyethylene    / 0.92 /   ! density grams/cm^3 

      Integer IVOL
      Real dmaxms

      Integer i,mopp,j,irotm
      Parameter (mopp=100)
      Real ppckov(mopp),AbsCo(mopp),EFFIC(mopp),RIndex(mopp)
      Real emin,emax,e,l,refl,n2_dens,cf4_dens,neon_dens,n2_radl    
      Real rot(6),cf4_radl,neon_radl

      Real z0

C
C  GEANT standard materials (16 of them)
C
      CALL GMATE
C
C  Define USER particular materials
C
      n2_dens = kpressure*0.00125
      cf4_dens = kpressure*0.003928
      neon_dens = ppressure*0.0009
      n2_radl = 30400./kpressure
      neon_radl = 32111./ppressure
      CALL GSMATE(20,'NITROGEN GAS$',14.01,7.,n2_dens,n2_radl,0.,0.,0)
      CALL GSMATE(21,'NEON GAS$',20.18,10.,neon_dens,neon_radl,0.,0.,0)
      CALL GSMIXT(22,'POLYETHYLENE$',APOL,ZPOL,.935,-2,WPOL)
      CALL GSMIXT(23,'GLASS$',AGLS,ZGLS,2.20,-2,WGLS)
      CALL GSMIXT(24,'CF4',ACF4,ZCF4,cf4_dens,-2,WCF4)

c-----HHN 9-28-00 Define materials for DMS

      call gsmixt(25,'$KAPTON',A_KAPTON,Z_KAPTON,D_KAPTON,-4,W_KAPTON)
      call gsmixt(26,'$ETHANE',A_ETHANE,Z_ETHANE,D_ETHANE,-2,W_ETHANE)
      call gsmixt(27,'$DMSCF4',A_DMSCF4,Z_DMSCF4,D_DMSCF4,-2,W_DMSCF4)

c-----Define materials for UMS
c     CF4:Isobutane (C4H10) = 50%:50%       
c
      call gsmixt(28,'$BUTCF4',A_BUTCF4,Z_BUTCF4,D_BUTCF4,-3,W_BUTCF4)
      call gsmixt(29,'$UMSWIRE',A_UMSWIRE,Z_UMSWIRE,D_UMSWIRE,-1,
     *                 W_UMSWIRE)
      CALL GSMATE(31,'$HELIUM',A_helium,Z_helium,D_helium,R_helium,
     &     0.,0.,0)
c----Define mylar window material for the VVS-C.M.-Jan 15-2001
      CALL GSMIXT(30,'MYLAR$',AMYL,ZMYL,1.39,-3,WMYL)
C
C  Define USER tracking media parameters
C
c-----hhn.  igauto = 1 tells GEANT to calculate its own parameters
c           igauto = 0 tells GEANT to use the following parameters

      DMAXMS =  1.
      DEEMAX =  0.05
      EPSIL  =  0.001
      STMIN  =  0.001
      TMAXFD =  .1
C
C   Vacuum decay vessel has magnetic field inside it:
C
c
c-----hhn.  Use Runge-Kutta method by selecting IFIELD=1 instead of 2
c
      FIELDM =  3.  ! Is not used actually (see descr.of GSTMED routine). DV.
      IFIELD =  1.  ! inhomogeneous mag.field returned by GUFLD. DV.
      IGAUTO = 0    ! use user input parameters like step sizes

      CALL CKMGSTMED(ckmmed_magvacu,'VACUUM$' , 16 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
c
c-----tracking media for the UMS---isobutane+cf4-----------------
c
      CALL CKMGSTMED(ckmmed_butcf4,'ums butcf4', 28,  0,  IFIELD,
     *             FIELDM,TMAXFD,STEMAX,DEEMAX, EPSIL, STMIN, 0. , 0 )

      CALL CKMGSTMED(ckmmed_umswire,'ums wire',  29,  0,  IFIELD,
     *             FIELDM,TMAXFD,STEMAX,DEEMAX, EPSIL, STMIN, 0. , 0 )

      CALL CKMGSTMED(ckmmed_helium,'ums helium', 31,  0,  IFIELD,
     *             FIELDM,TMAXFD,STEMAX,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_magair,'AIR w/FIELD$', 15 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
C
C... Add the lead-glass veto to the vacuum tank- same nmat as ECAL
C... Same magnetic field as Vacuum                        -C.M.-26 Feb98
C
      CALL CKMGSTMED(ckmmed_maglead,'VACUUM SHIELD$', 13 , 1 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
C
C   All other media do not:
C
      FIELDM =  0.
      IFIELD =  0
      IGAUTO = 1    

      CALL CKMGSTMED(ckmmed_air,'AIR$'               , 15 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_krn2,'KICH NITROGEN$', 20 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_prne,'PION RICH NEON$'    , 21 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_scin,'SCINTILLATOR$'      , 22 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_mirr,'MIRROR GLASS$'      , 23 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_lead,'CALORIMETER LEAD$'  , 13 , 1 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_pcplane,'Photocathode plane$',  9, 0,IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_steel,'Steel$',             10,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_krcf4,'KAON RICH CF4'     , 24,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_vacu,'VACUUM$'            , 16, 0, IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )       
c
c-----hhn--tracking media for the DMS
c
      CALL CKMGSTMED(ckmmed_kapton,'dms kapton', 25,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_copper,'dms copper', 11,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_ethane,'dms ethane', 26,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_dmscf4,'dms cf4', 27,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_tungsten,'dms sensewire', 12,  0,  IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
c
c----- CM -  VVS     
c
      CALL CKMGSTMED(ckmmed_vmpl,'VMPL    $', 22 , 1 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_mylar,'VVWN   $', 30 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
c
c-----CM - BIVS tracking media
c     
      CALL CKMGSTMED(ckmmed_bisc,'BIVS SC $', 22 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
      CALL CKMGSTMED(ckmmed_bipb,'BIVS PB&' , 13 , 0 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )
c
c-----hhn.  this is the magnet coil/yoke, not the magnetic field
c
      IFIELD = 1   ! use Runge-Kutta Method
      FIELDM = 3.0
      CALL CKMGSTMED(ckmmed_vmag,'VMAG    $', 10 , 1 , IFIELD,
     *             FIELDM,TMAXFD,DMAXMS,DEEMAX, EPSIL, STMIN, 0. , 0 )

c
C     media 3,4,6,9,11 are used for the RICHes only.  Optical properties
C     will be defined for them.  Please be carefull using them for
C     other things.  JE 9Aug99
C     new names for reserved media: ckmmed_krn2, ckmmed_prne,
c     ckmmed_mirr, ckmmed_pcplane, ckmmed_krcf4
C

c  define optical properties for cherenkov materials
c
      CALL cerenkov
c
c   define special cuts for BIVS
c   10 MeV for the photon : (BIVS counts photons > 20 MeV)
c   1GeV for the hadrons
c      Call gstpar(ckmmed_bipb,'CUTHAD',1.)    !!!!!
c      Call gstpar(ckmmed_bisc,'CUTHAD',1.)    !!!!!
c      Call gstpar(ckmmed_bipb,'CUTGAM',0.01) !!!!!
c      Call gstpar(ckmmed_bisc,'CUTGAM',0.01) !!!!!
c      Call gstpar(ckmmed_bisc,'CUTELE',0.01)
c      Call gstpar(ckmmed_bipb,'CUTELE',0.01)

C Now define overall geometry of CKM detector

      z0 = 0.                        ! The absolute reference point
*
*       half of z-lengths of important pieces of apparatus
*
      ucham_hz =  100.
      krch_hz  =  505.
      bivs_hz  =  200.1                           ! divisible by 0.3   
      vmag_hz  =   50.
      vmpl_hz  =   25. 
c      vvsy1_hz = 1400.                            ! C.M.-Aug 2000 
      vvsy1_hz = 1300.
      vvsy2_hz =  850.                            ! C.M.-Aug 2000
      prch_hz  = 1010.
      fvs_hz   =   30.
      mvs_hz   =   65.
      bst_hz   =  100.
*
*       Gaps
*
*      krch_vvsy_dz = 150. 
      krch_vvsy_dz = 350.
      vvsy_prch_dz = 100.
c      keat_vvsy_dz = 100. 
c      bivs_vvsy_dz = 300.
       bivs_vvsy_dz = 100.
      bivs_vmod_dz = 100.
      prch_fvs_dz  = 100.
      fvs_mvs_dz   = 100.
      mvs_bst_dz   = 100.
*
*       Calculated z-positions
*
      ucham_z = z0 - 600.
      krch_z  = z0 + krch_hz
      vvsy1_z = krch_z + krch_hz + vvsy1_hz + krch_vvsy_dz
      vvsy2_z = vvsy1_z + vvsy1_hz + vvsy2_hz

c
c-----KEAT position is now relative to CKM mother
c
      keat_z =  krch_z + krch_hz + 175.
c
c-----bivs_z, vmpl_z, vmag_z are coordinates relative to z-centroid of VVS1
c
      bivs_z  = bivs_hz - vvsy1_hz + bivs_vvsy_dz
c
c-----vmpl_z is z-centroid of the first module in VVS1
c
      vmpl_z  = bivs_z + bivs_hz + vmpl_hz + bivs_vmod_dz 
c
c-----relative to centroid of VVS2
c
      vmag_z  = 350.              

      prch_z  = vvsy2_z + vvsy2_hz + prch_hz + vvsy_prch_dz ! C.M.-Aug 2000
      fvs_z = prch_z + prch_hz + fvs_hz + prch_fvs_dz
      mvs_z = fvs_z + fvs_hz + fvs_mvs_dz + mvs_hz
      bst_z = mvs_z + bst_hz + mvs_bst_dz
C
C  Printout of Z locations of apparatus:
C
      print *,'--------------------------------------'
      print *,'  CKMGEANT: Z locations of detectors'
      print *,'--------------------------------------'
      print *,'    UMS1:     ',ucham_z-554.
      print *,'    UMS2:      ',ucham_z-349.2
      print *,'    UMS3:      ',ucham_z-144.4
      print *,'    UMS4:      ',ucham_z+144.4
      print *,'    UMS5:      ',ucham_z+349.2
      print *,'    UMS6:       ',ucham_z+554.
      print *,'    KRCH entr:      0.0'
      print *,'    KRCH exit:',krch_hz*2
      print *,'    KEAT1:    ',keat_z-100.
      print *,'    KEAT2:    ',keat_z+100.
      print *,'    BIVS entr:',bivs_z-bivs_hz+vvsy1_z
      print *,'    BIVS exit:',bivs_z+bivs_hz+vvsy1_z
      print *,'    1st  VVS1:',bivs_z+bivs_hz+bivs_vmod_dz+vvsy1_z
      print *,'    last VVS1:',bivs_z+bivs_hz+
     &                 bivs_vmod_dz+vvsy1_z
      print *,'    1st  VVS2:',vvsy2_z-vvsy2_hz
      print *,'    last VVS2:',vvsy2_z+vvsy2_hz-2
      print *,'    DMS1:     ',vvsy2_z+vmag_z-500.
      print *,'    DMS2:     ',vvsy2_z+vmag_z-100.
      print *,'    DMS3:     ',vvsy2_z+vmag_z+100.
      print *,'    DMS4:     ',vvsy2_z+vmag_z+495.
      print *,'    PRCH entr:',prch_z-prch_hz
      print *,'    PRCH exit:',prch_z+prch_hz
      print *,'    FVS:      ',fvs_z
      print *,'    MVS:      ',mvs_z
C
C   First create a mother volume of air:
C
      PAR(1) = 500.
      PAR(2) = 500.
      PAR(3) = 10000.
      CALL GSVOLU( 'CKM ' , 'BOX ' , ckmmed_air, PAR , 3 , IVOL )

      Call KUEXEC('vec/crea par(8) r')

*
*   ... call ums chamber
*
      Call ums_geom
*
*   Create & position Kaon Rich
*
      Call krch_geom(krch_z, krch_hz)
*
*   ... Vacuum Decay Vessel and Vacuum Veto System
* 
*      Call vacu_geom(vvsy1_z,vvsy1_hz,vvsy2_z,vvsy2_hz)
       Call vacu_geom
*
*   ... Dipole Magnet Iron/Coil.  Field is done elsewhere
*
      Call vmag_geom(vmag_z, vmag_hz)
*
*   ... Straw Tubes
*
      Call straw_geom
* 
*   ... BIVS and modules of Vacuum Veto System
*
      Call bivs_geom(bivs_z, bivs_hz)    
*
*   ... Modules VMD of Vacuum Veto System
*
*      Call vmd_geom(vmpl_z,vmpl_hz,vvsy1_hz,vvsy2_hz)
*
*   ... KEAT chambers inside vacuum vessel for now
*
      Call keat_geom
*
*   ... Pion Rich
*
      Call prch_geom(prch_z, prch_hz)
*
*   ... A forward veto/calorimeter made of lead/scint (FVS)
*
       Call fvs_geom(fvs_z, fvs_hz)
*
*   ... A muon veto system
*
       Call mvs_geom(mvs_z, mvs_hz)
*
*   ... and finally a beam stop
*
c       Call bst_geom
*
*   ... execute optional usergeom.kumac
*
c      Open(UTMP,file='usergeom.kumac',Status='Old',err=101)
c      Close(UTMP)
c      Call KUEXEC('Call usergeom') 

 101  Continue
C
C  Close geometry banks. (obligatory system routine)
C 
      CALL GGCLOS

      RETURN
      END
C
C  $Log: ckmgeom.F,v $
C  Revision 1.36  2001/03/10 02:47:31  ramberg
C
C  Center KEAT chambers a little better
C
C  Revision 1.35  2001/03/07 23:34:52  caroline
C       Moved Keat out of the vaccum vessel
C
C  Revision 1.34  2001/02/07 16:45:54  caroline
C     Moved BIVS cutoffs to bivs_gustep
C
C  Revision 1.33  2001/02/07 15:04:52  jurgen
C  fix arguments in gstpar calls
C
C  Revision 1.32  2001/02/06 15:56:34  caroline
C     Correct for the material in BIVS
C
C  Revision 1.31  2001/02/06 03:22:37  caroline
C     Define separate meia for BIVS sc and Pb
C
C  Revision 1.30  2001/01/26 22:39:40  ramberg
C  Added printout of Z locations of apparatus
C
C  Revision 1.29  2001/01/19 22:15:41  ramberg
C  Take out call to usergeom.kumac
C
C  Revision 1.28  2001/01/18 16:04:12  ramberg
C  commented out polyethylene material definition
C
C  Revision 1.27  2001/01/18 15:18:42  jurgen
C  remove comment after "include" (linux complains)
C
C  Revision 1.26  2001/01/17 00:33:43  caroline
C      Added Mylar for the Windows
C
C  Revision 1.25  2001/01/13 05:37:22  ramberg
C  Added explicit calculation of step sizes for UMS and DMS, otherwise automatic.
C
C  Revision 1.24  2000/12/27 02:52:44  jurgen
C  remove definition of helium
C
C  Revision 1.23  2000/12/24 04:56:54  caroline
C    replacea call to 2 kumacs by a call to subroutine vacu_geom
C
C  Revision 1.22  2000/12/21 18:40:35  jurgen
C  /tmp/cvsBAAa000BO
C
C  Revision 1.21  2000/12/19 23:10:36  ramberg
C  Added new material for helium  bags for UMS
C
C  Revision 1.20  2000/12/19 17:59:28  ramberg
C  Added call to KEAT geometry
C
C  Revision 1.19  2000/12/12 14:10:27  caroline
C   Added vacuum without magnetic field for the 1st part of VVS and BIVS
C
C  Revision 1.18  2000/12/04 06:42:51  ramberg
C  - Increased size of CKM volume
C  - Changed depth of FVS system to 60 cm total
C  - Took out beam stop
C
C  Revision 1.17  2000/11/08 01:48:29  jurgen
C  Added call arguments to fvs_geom and mvs_geom calls.
C
C  Revision 1.16  2000/11/03 10:42:49  ramberg
C  added ums and bst geometry
C
C  Revision 1.14  2000/09/18 15:16:45  jurgen
C  Position variables now defined in ckm_pos.inc.
C
C  Revision 1.13  2000/09/15 19:03:23  ramberg
C  *** empty log message ***
C
C  Revision 1.12  2000/09/12 22:53:59  jurgen
C  use ckm_dim.inc for detector dimensions.
C
C  Revision 1.11  2000/09/12 17:59:19  jurgen
C  Add changes by Caroline concerning vvs config
C
C  Revision 1.10  2000/09/08 23:48:37  jurgen
C  Change ifield variable from 3 to 2 for vmag (by Caroline)
C
C  Revision 1.9  2000/09/08 15:39:31  jurgen
C  move call to cerenkov from uginit to ckmgeom
C
C  Revision 1.8  2000/08/31 23:45:06  jurgen
C  move previous ckmgeom.kumac into this file.  Call geom files for
C  different detectors.
C
C  Revision 1.7  2000/08/02 16:06:24  ckm
C  add pressure for RICHes, add CF4, add RICH media, add VVS media,
C  use media number from include file and call gstmed wrapper
C
C  Revision 1.6  2000/02/10 00:06:12  ckm
C  re-commit after wrong delete
C
C  Revision 1.4  1999/10/27 22:52:03  jurgen
C  Changes by Dima Vavilov:
C  1. Remove if(MYDEBUG...) clause
C  2. IFIELD = 1 --> IFIELD = 2
C  3. Made tracking medii 7 and 8 ("CALORIMETER LEAD" and "VACUUM SHIELD")
C     to be sensitive.
C
c Revision 1.3  1998/05/20  21:35:33  jurgen
c declare local variables
c
c Revision 1.2  1998/05/20  19:02:10  jurgen
c also include gt...
c
c Revision 1.1  1998/05/13  22:56:41  jurgen
c First time to cvs
c
C
